# DaprAppCallbackProtos.TopicSubscription (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.TopicSubscription

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprAppCallbackProtos.TopicSubscription

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

    public static final class DaprAppCallbackProtos.TopicSubscription
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprAppCallbackProtos.TopicSubscriptionOrBuilder

     TopicSubscription represents topic and metadata.

Protobuf type `dapr.proto.runtime.v1.TopicSubscription`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprAppCallbackProtos.TopicSubscription.Builder` TopicSubscription represents topic and metadata.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `BULK_SUBSCRIBE_FIELD_NUMBER`
`static int` `DEAD_LETTER_TOPIC_FIELD_NUMBER`
`static int` `METADATA_FIELD_NUMBER`
`static int` `PUBSUB_NAME_FIELD_NUMBER`
`static int` `ROUTES_FIELD_NUMBER`
`static int` `TOPIC_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` The optional properties used for this topic's subscription e.g.
`boolean` `equals​(Object obj)`
`DaprAppCallbackProtos.BulkSubscribeConfig` `getBulkSubscribe()` The optional bulk subscribe settings for this topic.
`DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder` `getBulkSubscribeOrBuilder()` The optional bulk subscribe settings for this topic.
`String` `getDeadLetterTopic()` The optional dead letter queue for this topic to send events to.
`com.google.protobuf.ByteString` `getDeadLetterTopicBytes()` The optional dead letter queue for this topic to send events to.
`static DaprAppCallbackProtos.TopicSubscription` `getDefaultInstance()`
`DaprAppCallbackProtos.TopicSubscription` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The optional properties used for this topic's subscription e.g.
`Map<String,​String>` `getMetadataMap()` The optional properties used for this topic's subscription e.g.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The optional properties used for this topic's subscription e.g.
`String` `getMetadataOrThrow​(String key)` The optional properties used for this topic's subscription e.g.
`com.google.protobuf.Parser<DaprAppCallbackProtos.TopicSubscription>` `getParserForType()`
`String` `getPubsubName()` Required.
`com.google.protobuf.ByteString` `getPubsubNameBytes()` Required.
`DaprAppCallbackProtos.TopicRoutes` `getRoutes()` The optional routing rules to match against.
`DaprAppCallbackProtos.TopicRoutesOrBuilder` `getRoutesOrBuilder()` The optional routing rules to match against.
`int` `getSerializedSize()`
`String` `getTopic()` Required.
`com.google.protobuf.ByteString` `getTopicBytes()` Required.
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasBulkSubscribe()` The optional bulk subscribe settings for this topic.
`int` `hashCode()`
`boolean` `hasRoutes()` The optional routing rules to match against.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprAppCallbackProtos.TopicSubscription.Builder` `newBuilder()`
`static DaprAppCallbackProtos.TopicSubscription.Builder` `newBuilder​(DaprAppCallbackProtos.TopicSubscription prototype)`
`DaprAppCallbackProtos.TopicSubscription.Builder` `newBuilderForType()`
`protected DaprAppCallbackProtos.TopicSubscription.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprAppCallbackProtos.TopicSubscription` `parseDelimitedFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicSubscription` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(byte[] data)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(ByteBuffer data)`
`static DaprAppCallbackProtos.TopicSubscription` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicSubscription>` `parser()`
`DaprAppCallbackProtos.TopicSubscription.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### PUBSUB_NAME_FIELD_NUMBER

    public static final int PUBSUB_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### TOPIC_FIELD_NUMBER

    public static final int TOPIC_FIELD_NUMBER

See Also:
  Constant Field Values

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### ROUTES_FIELD_NUMBER

    public static final int ROUTES_FIELD_NUMBER

See Also:
  Constant Field Values

#### DEAD_LETTER_TOPIC_FIELD_NUMBER

    public static final int DEAD_LETTER_TOPIC_FIELD_NUMBER

See Also:
  Constant Field Values

#### BULK_SUBSCRIBE_FIELD_NUMBER

    public static final int BULK_SUBSCRIBE_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getPubsubName

    public String getPubsubName()

     Required. The name of the pubsub containing the topic below to subscribe to.

`string pubsub_name = 1;`

Specified by:
  `getPubsubName` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The pubsubName.

#### getPubsubNameBytes

    public com.google.protobuf.ByteString getPubsubNameBytes()

     Required. The name of the pubsub containing the topic below to subscribe to.

`string pubsub_name = 1;`

Specified by:
  `getPubsubNameBytes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The bytes for pubsubName.

#### getTopic

    public String getTopic()

     Required. The name of topic which will be subscribed

`string topic = 2;`

Specified by:
  `getTopic` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The topic.

#### getTopicBytes

    public com.google.protobuf.ByteString getTopicBytes()

     Required. The name of topic which will be subscribed

`string topic = 2;`

Specified by:
  `getTopicBytes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The bytes for topic.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The optional properties used for this topic's subscription e.g. session id

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### hasRoutes

    public boolean hasRoutes()

     The optional routing rules to match against. In the gRPC interface, OnTopicEvent
     is still invoked but the matching path is sent in the TopicEventRequest.

`.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

Specified by:
  `hasRoutes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  Whether the routes field is set.

#### getRoutes

    public DaprAppCallbackProtos.TopicRoutes getRoutes()

     The optional routing rules to match against. In the gRPC interface, OnTopicEvent
     is still invoked but the matching path is sent in the TopicEventRequest.

`.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

Specified by:
  `getRoutes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The routes.

#### getRoutesOrBuilder

    public DaprAppCallbackProtos.TopicRoutesOrBuilder getRoutesOrBuilder()

     The optional routing rules to match against. In the gRPC interface, OnTopicEvent
     is still invoked but the matching path is sent in the TopicEventRequest.

`.dapr.proto.runtime.v1.TopicRoutes routes = 5;`

Specified by:
  `getRoutesOrBuilder` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### getDeadLetterTopic

    public String getDeadLetterTopic()

     The optional dead letter queue for this topic to send events to.

`string dead_letter_topic = 6;`

Specified by:
  `getDeadLetterTopic` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The deadLetterTopic.

#### getDeadLetterTopicBytes

    public com.google.protobuf.ByteString getDeadLetterTopicBytes()

     The optional dead letter queue for this topic to send events to.

`string dead_letter_topic = 6;`

Specified by:
  `getDeadLetterTopicBytes` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The bytes for deadLetterTopic.

#### hasBulkSubscribe

    public boolean hasBulkSubscribe()

     The optional bulk subscribe settings for this topic.

`.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

Specified by:
  `hasBulkSubscribe` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  Whether the bulkSubscribe field is set.

#### getBulkSubscribe

    public DaprAppCallbackProtos.BulkSubscribeConfig getBulkSubscribe()

     The optional bulk subscribe settings for this topic.

`.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

Specified by:
  `getBulkSubscribe` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`
Returns:
  The bulkSubscribe.

#### getBulkSubscribeOrBuilder

    public DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder getBulkSubscribeOrBuilder()

     The optional bulk subscribe settings for this topic.

`.dapr.proto.runtime.v1.BulkSubscribeConfig bulk_subscribe = 7;`

Specified by:
  `getBulkSubscribeOrBuilder` in interface `DaprAppCallbackProtos.TopicSubscriptionOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(ByteBuffer data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(ByteBuffer data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(com.google.protobuf.ByteString data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(com.google.protobuf.ByteString data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(byte[] data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(byte[] data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(InputStream input)
                                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicSubscription parseDelimitedFrom​(InputStream input)
                                                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicSubscription parseDelimitedFrom​(InputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(com.google.protobuf.CodedInputStream input)
                                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicSubscription parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprAppCallbackProtos.TopicSubscription.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprAppCallbackProtos.TopicSubscription.Builder newBuilder()

#### newBuilder

    public static DaprAppCallbackProtos.TopicSubscription.Builder newBuilder​(DaprAppCallbackProtos.TopicSubscription prototype)

#### toBuilder

    public DaprAppCallbackProtos.TopicSubscription.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprAppCallbackProtos.TopicSubscription.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprAppCallbackProtos.TopicSubscription getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicSubscription> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.TopicSubscription> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicSubscription getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`